Update Current Profile
curl --request PUT \
--url https://api.example.com/api/profiles/me \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"full_name": "<string>",
"company_name": "<string>"
}
'import requests
url = "https://api.example.com/api/profiles/me"
payload = {
"full_name": "<string>",
"company_name": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({full_name: '<string>', company_name: '<string>'})
};
fetch('https://api.example.com/api/profiles/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Profiles
Update Current Profile
Update the authenticated user’s profile
PUT
/
api
/
profiles
/
me
Update Current Profile
Authentication
string
required
Bearer token:
Bearer <firebase_id_token>Request
string
Updated full name
string
Updated organization name
Example Request
curl -X PUT https://api.sari-platform.com/api/profiles/me \
-H "Authorization: Bearer <firebase_id_token>" \
-H "Content-Type: application/json" \
-d '{
"full_name": "John Smith",
"company_name": "New Company"
}'
Response
Returns the updated profile object.Example Response
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "user@example.com",
"full_name": "John Smith",
"company_name": "New Company",
"role": "client",
"registration_status": "approved",
"client_id": "client_abc123",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-17T14:00:00Z"
}
Errors
| Status | Description |
|---|---|
| 400 | Invalid request body |
| 401 | Invalid or expired token |
⌘I

